Unit tde52e_p;
{$J+}
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE52E_p, DE52E_p;

function tde52e: String;

implementation

function tde52e: String;
var
K,M,NXS,NXO,I,_i,IERR :Integer;
XN,H,HMIN,EPS,P :Extended;
BUL :Boolean;
IRAB :Array [0..3] of Integer;
XS :Array [0..1] of Extended;
XO :Array [0..19] of Extended;
U :Array [0..15] of Extended;
YR :Array [0..11] of Extended;
RK :Array [0..15] of Extended;
T :Array [0..5] of Extended;
Y :Array [0..7] of Extended;
const
B :Array [0..9] of Extended = ( 1.0e0,0.0e0,0.0e0,1.0e0,0.e0,0.e0,0.e0,0.e0,
0.e0,0.e0 );
C :Array [0..9] of Extended = ( 1.0e0,0.0e0,0.0e0,1.0e0,0.e0,0.e0,0.e0,0.e0,
0.146996e0,0.0241005e0 );
label
_30;
begin
Result := '';  {   }
BUL := True;
K := 2;
M := 4;
XN := 0.e0;
XS[0] := 1.e0;
XS[1] := 0.e0;
NXS := 2;
H := 0.1e0;
NXO := 10;
XO[0] := H;
for I:=2 to 10 do
 begin
_30:
  XO[I-1] := XO[I-2]+H;
 end;
HMIN := 1.e-12;
EPS := 1.e-7;
P := 1.e-7;
DE52E(FDE52E,M,XN,NXS,XS,HMIN,EPS,P,NXO,XO,K,BUL,
     B,C,Y,U,IRAB,YR,RK,T,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%2d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',[' Y PEEH']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[XS[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' PEEHE B YAX' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde52e',Result);  {     tde52e.res }
exit;
end;

end.
